Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159456 - GFS Support
Summary: GFS Support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jim Parsons
QA Contact:
URL:
Whiteboard: RHEL4U3NAK
Depends On: 180278
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2005-06-02 19:41 UTC by Jim Parsons
Modified: 2009-04-16 23:11 UTC (History)
3 users (show)

Fixed In Version: RHBA-2006-0528
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-10 21:49:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0528 normal SHIPPED_LIVE system-config-lvm bug fix update 2006-08-10 04:00:00 UTC

Comment 2 dff 2005-06-15 20:49:57 UTC
PM ACK for U2.

Comment 13 Stanko Kupcevic 2006-05-15 16:00:21 UTC
Implemented in 1.0.17

Comment 14 Stanko Kupcevic 2006-05-15 16:31:52 UTC
Features to test:

 - 'mount' checkbox, in LV new/edit dialog, should be enabled for local GFS only
if supported by kernel either as a loadable (loaded or not) or built-in module

 - in addition to kernel support, clustered GFS should be mountable only if
cluster is quorate, clustername matches GFS table and both use the same locking
mechanism (dlm or gulm)

 - app. should offer creation of GFS only if GFS software is installed (it comes
in different rpm then kernel GFS support)

 - if VG is marked as clustered, app should offer creation of clustered GFS
only; otherwise, both clustered and local GFS should be offered

 - at creation of clustered GFS, properties dialog should popup prompting for
clustername, unique GFS name, number of journals and locking type (dlm or gulm).
Clustername and locking type should be pre-populated if node is a cluster member
(has a valid /etc/cluster/cluster.conf)

 - when LV or uninitialized disk entity is selected, properties on the right
side should display filesystem type


Comment 17 Nate Straz 2006-07-07 16:07:18 UTC
in #14 you mention that the mount checkbox should only be enabled for local GFS
file systems.  I see that it is enabled and working for clustered GFS too.
Is the comment in #14 correct or is this not supposed to work?

Comment 18 Stanko Kupcevic 2006-07-10 14:30:00 UTC
Clustered GFS IS supposed to work (sorry for any confusion). 
Here is the description of how it is supposed to work:


 - at creation of clustered GFS, properties dialog should popup prompting for
clustername, unique GFS name, number of journals and locking type (dlm or gulm).
Clustername and locking type should be pre-populated if node is a cluster member
(has a valid /etc/cluster/cluster.conf)

 - if VG is marked as clustered, app should offer creation of clustered GFS
only; otherwise, both clustered and local GFS should be offered

 - clustered GFS should be mountable only if cluster is quorate, clustername
matches GFS table, both use the same locking mechanism (dlm or gulm), and GFS is
supported by kernel


Comment 19 Nate Straz 2006-07-10 16:14:18 UTC
There's still a problem when the cluster is not quorate.  Trying to do anything
that causes s-c-lvm to reload or check the lvm status will hang.  When the cluster
is not quorate, the lvm commands s-c-lvm uses do not return.

Comment 20 Stanko Kupcevic 2006-07-10 20:11:31 UTC
Test with 1.0.19-1.0

App. should gracefuly fail, on startup, if cluster is not quorate. 
There still remains a problem if quorum is lost in the middle of operation; a
hang, until quorum is regained, should be acceptable solution, at least for now.


Comment 21 Nate Straz 2006-07-11 18:22:16 UTC
This doesn't work.  The first thing it tries is an `lvs` which hangs.

[root@tank-01 ~]# strace -f -e execve system-config-lvm
execve("/usr/sbin/system-config-lvm", ["system-config-lvm"], [/* 21 vars */]) = 
0
Process 12432 attached
[pid 12432] execve("/bin/bash", ["/bin/bash", "-c", "LANG=C /usr/sbin/lvm lvs --
all"], [/* 21 vars */]) = 0
[pid 12432] execve("/usr/sbin/lvm", ["/usr/sbin/lvm", "lvs", "--all"], [/* 21 va
rs */]) = 0
[* HANG *]

Comment 22 Nate Straz 2006-07-11 19:38:40 UTC
Ugh, didn't have 1.0.19 installed.  It works much better now.

Comment 23 Nate Straz 2006-07-11 19:39:04 UTC
Ugh, didn't have 1.0.19 installed.  It works much better now.

Comment 25 Red Hat Bugzilla 2006-08-10 21:49:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0528.html



Note You need to log in before you can comment on or make changes to this bug.